# FTXUI: hyperlink.cpp File Reference

Loading...
Searching...
No Matches
hyperlink.cpp File Reference

Go to the source code of this file.

## Namespaces

namespace | ftxui
| The FTXUI ftxui:: namespace.

## Functions

Element | hyperlink (std::string link, Element child)
| Make the rendered area clickable using a web browser. The link will be opened when the user clicks on it. This is supported only on a limited set of terminal emulators. List: https://github.com/Alhadis/OSC8-Adoption/.
Decorator | hyperlink (std::string link)
| Decorate using a hyperlink. The link will be opened when the user clicks on it. This is supported only on a limited set of terminal emulators. List: https://github.com/Alhadis/OSC8-Adoption/.

## Variable Documentation

## link_

std::string link_

Definition at line 32 of file hyperlink.cpp.